API7 Docs
API7 GatewayAPI7 Enterprise Developer Portal APIsGet all labels of a resource type

Get all labels of a resource type

GET /api/labels/{resource_type}

GET /api/labels/{resource_type}

Interactive request editor loads with JavaScript.

Authorization

BearerAuth DeveloperIDHeader
AuthorizationBearer <token>

In: header

X-Portal-Developer-ID<token>

In: header

Path Parameters

resource_type*string

Value in

  • "developer_credential"
  • "developer_application"
  • "api_product"

Response Body

application/json

application/json

application/json

curl -X GET "$API_BASE_URL/api/labels/developer_credential"

{
  "k8s/namespace": [
    "api7-ingress-system",
    "default",
    "api7"
  ],
  "manager-by": [
    "api7-ingress-controller",
    "apisix-ingress-controller"
  ]
}
Complete operation details and schema variants

GET /api/labels/{resource_type}

Get all labels of a resource type

Parameters

  • resource_type (path, string, required):

Responses

  • 200:
  • 400: Bad request.
  • status (integer, required): The HTTP status code of the error response.
  • message (string, required): The error message.
  • 401: Unauthorized. Response fields (application/json): identical to GET /api/labels/{resource_type}, response 400 above.
  • 500: Internal server error.

cURL

curl -X GET '$API_BASE_URL/api/labels/{resource_type}'